Subject: bug#27068: closed (Re: bug#27068: 25.2; org-odt-export-to-odt error when filename contains Chinese chars)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Jul 2018 11:15:02 +0000

Your bug report

#27068: 25.2; org-odt-export-to-odt error when filename contains Chinese chars

which was filed against the org-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27068: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27068
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27068: 25.2; org-odt-export-to-odt error when filename contains Chinese chars
From: Nicolas Goaziou <[email-masked]>
To: "steven.yang\@china-hicloud.com" <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Jul 2018 13:13:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Nicolas Goaziou <[email-masked]> writes:

> I cannot reproduce it. More specifically, I created a file named "童.org",
> added "* Headline" in it and exported it to ODT without problem.
>
> Could you provide a recipe for the issue you are encountering? If you
> are not able to reproduce it anymore, could you tell me so I can close
> this bug?

I'm closing this report since there was no answer from the OP. I assume
the issue is fixed.

Subject: 25.2; org-odt-export-to-odt error when filename contains Chinese chars
From: "[email-masked]" <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Thu, 25 May 2017 16:38:34 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

*** E-Mail body has been placed on clipboard, please paste it here! *** 

When execute `org-odt-export-to-odt` command, if the org filename
contains Chinese, and under Windows 7 OS default encoding GBK. An error
occurs that the zipped obt file's name is not correct. I think we
can change the following codes:
ox-odt.el  line: 4067
(target-name (file-name-nondirectory target)) ->
(target-name "temp.odt")

In GNU Emacs 25.2.1 (x86_64-w64-mingw32)
 of 2017-04-25 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --without-dbus --without-compress-install 'CFLAGS=-O2
 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: CHS
  locale-coding-system: cp936

Steven Yang     Technical Supervisor      Application Dev Department   
       杨稳                技术主管                           应用开发部
-----------------------------------------------------------------------------------------------------------------------
中智浩云科技有限公司
China HiCloud Co.,Ltd. 
上海市江场三路78号708室，邮编 200436
Tel： 021-36560688
Mail：[email-masked]
Web：www.china-hicloud.com
-----------------------------------------------------------------------------------------------------------------------